(function($){  
    $.fn.extend({
        jcordion: function(options) {  
        
        //Ustaw wartości domyślne, oddzielając ustawienia przecinkiem. Na przykład:  
            var defaults = {  
                numShown: 10,  
                showText : 'Pokaż stare projekty',  
                hideText : 'Ukryj stare projekty'  
            }  
            
            return this.each(function() {
            $('li:first').addClass('active');
            $.each($(this).find('ul li'), function(){
					$(this).click(function(){
						//console.log("test");
						$(this).find('ul').slideToggle().prev().parent().removeClass('active');
				    });
				});
                
         });
        } 
    }); 
})(jQuery);


    var portLength = $(".port_box").length;
    var numHidden = portLength - numShown;
        
        
    var portList = $(".port_box");
    
    if (portLength > numShown) {
      $("#portfolio-listing span").text( "Przed 2007 r. zakończono projektów: numHidden.");
      $("#portfolio-listing span").append(" <a href='#' class='view'>" + showText + "</a>"); 
    }
    
    for (var i=0; i < portLength; i++) {
      // Wyświetl tylko pierszą stronę. Resztę ukryj.
       if (i < numShown) {     
          $(portList[i]).show();         
       } 
       
       else {
         $(portList[i]).hide();
         $(portList[i]).wrapAll("<div class='hidden'></div>");
       }    
    }
